#include <MiniLab.h>
String title="Window_and_Group";

Bar current_bar(2);
TextPanel current_textPanel(4);
Push option(6);
SlideBar resistor(7);
Group optionBox(8);
Push optionBox_hide(10);
TextPanel optionBox_textPanel(11);
Check optionBox_check(12);

void setup () {

   Serial.begin(9600);
}

float r=400; // resistance in Ohm
int vd=0; // flag for "voltage doubled". 0(false) means 100 V

void loop () {

   delay(100);

   if(Serial.available()==0) return;
   int id=MiniLab.readInt();
   if(id==MiniLab.id_start) {
      if(!MiniLab.checkTitle(title)) return;

      current_textPanel.print( (vd?200:100) / r * 1000 ); // 1000 needed to display in mA.            
      current_bar.set( (vd?200:100) / r );              
      resistor.set(100, 1000, r);     
          
      optionBox_textPanel.set(vd?magenta:gray);
      optionBox_check.set(vd);                 
      optionBox.disable();
      
      return;
   }
   if(id==resistor.id) {

      r=MiniLab.readFloat();                          
      current_textPanel.print( (vd?200:100) / r * 1000 );              
      current_bar.set( (vd?200:100) / r ); 
      return;
   }   
   if(id==option.id) {

      optionBox.setFront();
      optionBox.enable();       
   }
   if(id==optionBox_check.id) {
              
      vd=MiniLab.readInt();
      optionBox_textPanel.set(vd?magenta:gray);
      current_textPanel.print( (vd?200:100) / r * 1000 );              
      current_bar.set( (vd?200:100) / r );              
   }
   if(id==optionBox_hide.id) {

      optionBox.disable();       
   }
}
